import request from '../utils/request'

export function create(data) {
  return request({
    url: '/operator/api/create', // 新增账户
    method: 'post',
    data: data
  })
}

export function changeInfo(data) {
  return request({
    url: '/operator/api/changeInfo', // 修改账户信息
    method: 'post',
    data: data

  })
}

export function remove(data) {
  return request({
    url: '/operator/api/remove', // 删除账户
    method: 'post',
    data: data
  })
}

export function operators(data) {
  return request({
    url: '/operator/query/operators', // 查询账户
    method: 'get',
    params: data
  })
}

export function enable(data) {
  return request({
    url: '/operator/api/enable', // 启用账户
    method: 'post',
    data: data
  })
}

export function disable(data) {
  return request({
    url: '/operator/api/disable', // 禁用账户
    method: 'post',
    data: data
  })
}

export function staffInfo(data) {
  return request({
    url: '/operator/query/staffInfo', // 获取账户详情
    method: 'get',
    params: data
  })
}

export function checkPhone(data) {
  return request({
    url: '/staff/api/checkPhone', // 获取账户详情
    method: 'get',
    params: data
  })
}
